c
c  Author:
c
c	Gerhard Lust
c	Geotechnisches Institut
c	Abt. Isotopengeophysik
c	Bundesversuchs- und Forschungsanstalt Arsenal
c	Faradaygasse 3
c	A-1030 Wien
c
c	Tel.: +43/222/782531/518
c	Datexp : PSI%023226191064::SYSTEM
c
c*********************************************************
c	There is no copyright attached to this program.
c	Use it at your own risk.
c*********************************************************
c
	subroutine	read_subdirectory_block
c
	implicit	integer*4 (a-z)
c
	include		'common.txt'
c
	subdirblock	 = block
	subdirblock_len  = block_len
c
	if (subdirblock_len.gt.0) then
		if (default_dir_len.gt.0) then
			old_mail_dir = default_dir (1:default_dir_len-1)//
	1		vmsmail_record (record_pointer + 2 :
	1		record_pointer +
	1		subdirblock_len-1)//']'
			old_mail_dir_len =
	1		old_mail_dir_len + subdirblock_len - 2
c
			subdir = vmsmail_record (record_pointer + 2 :
	1		record_pointer + subdirblock_len - 1)
c
			subdir_len = subdirblock_len - 2
		end if
	end if
c
	return
c
	end	
